Coloca nos pontos clicados uma "progresão", por exemplo: A1, A2, A3, A4, …

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)
Mais um exemplo:

;; Coloca nos pontos clicados uma “progresão”, por exemplo: A1, A2, A3, A4, …

(defun c:Progressao ()

(setq ks1 (getstring “Letra __”))

(setq p1 (list 0 0))

(setq k (getreal “Numero inicial__”))

(setq h (getreal “Alt. do texto__”))

(if h (setq hc h) (setq h hc))

(setq ro (getreal “Rot. do texto__”))

(if ro (setq roc ro) (setq ro roc))

(while p1

(setq p1 (getpoint “P1___”))

(command “text” p1 h ro (strcat ks1 (rtos k 2 0)) )

(command “move” “l” “” “0,0” “2.5,2.5”)

(setq k (+ k 1))

)

)

;; Criador: *codes***@gmail.com – *codes***@yahoo.com.br


Anúncios

Sobre NilsonRDG

Minha lista de scripts/rotinas em Autolisp, Autohotkey, JavaScript, PHP e VBA. Nilson Rodrigues - Ouro Preto - MG
Esse post foi publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil. Bookmark o link permanente.

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair / Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair / Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair / Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair / Alterar )

Conectando a %s